<script lang="ts">
	import { goto, prefetch } from '$app/navigation';

	import { page, session } from '$app/stores';

	export let showTopBtn = false;
	import LoadingCircle from '$lib/utils/LoadingCircle';
	import axios from 'axios';
	import { darkTheme } from 'src/stores';
	import { fade } from 'svelte/transition';

	const signOut = async () => {
		await axios.post('/signout');
		goto('/auth');
	};

	async function navigatePage(path: string) {
		const loadingC = new LoadingCircle();
		loadingC.show();
		await prefetch(path);
		loadingC.dispose();
		goto(path);
	}
</script>

<nav id="header" class="bg-orange-600 sticky z-40 shadow-md text-right py-2">
	<div class="text-sm text-white flex justify-end pr-4">
		<p class="truncate">
			SK Shoping</p>
	</div>
</nav>

<nav
	id="header"
	class=" bg-white dark:bg-gray-900 sticky top-0 flex justify-between shadow-md text-center py-1 z-40"
>
	<div class="text-xs dark:text-white text-orange-600 flex items-center justify-start pl-2">
		<div on:click={() => navigatePage('/dashboard')}>
			<div
				class="flex items-center {$page.path.split('/')[1] == 'dashboard'
					? 'text-orange-600 dark:text-orange-600'
					: ''} text-gray-600 hover:text-gray-600 dark:hover:text-gray-400 cursor-pointer"
			>
				<svg
					xmlns="http://www.w3.org/2000/svg"
					class="h-5 w-5 mx-3 sm:mx-2"
					viewBox="0 0 20 20"
					fill="currentColor"
				>
					<path
						d="M10.707 2.293a1 1 0 00-1.414 0l-7 7a1 1 0 001.414 1.414L4 10.414V17a1 1 0 001 1h2a1 1 0 001-1v-2a1 1 0 011-1h2a1 1 0 011 1v2a1 1 0 001 1h2a1 1 0 001-1v-6.586l.293.293a1 1 0 001.414-1.414l-7-7z"
					/>
				</svg>
				<p class="px-2 hidden sm:flex">หน้าหลัก</p>
			</div>
		</div>

		{#if !$session.jwt}
			<a sveltekit:prefetch href="/auth">
				<div
					class="flex items-center {$page.path.split('/')[1] == 'auth'
						? 'text-orange-600 dark:text-orange-600'
						: ''}text-gray-600 hover:text-gray-600 dark:hover:text-gray-400 cursor-pointer"
				>
					<svg
						xmlns="http://www.w3.org/2000/svg"
						class="h-5 w-5 mx-3 sm:mx-2"
						viewBox="0 0 20 20"
						fill="currentColor"
					>
						<path
							fill-rule="evenodd"
							d="M6.625 2.655A9 9 0 0119 11a1 1 0 11-2 0 7 7 0 00-9.625-6.492 1 1 0 11-.75-1.853zM4.662 4.959A1 1 0 014.75 6.37 6.97 6.97 0 003 11a1 1 0 11-2 0 8.97 8.97 0 012.25-5.953 1 1 0 011.412-.088z"
							clip-rule="evenodd"
						/>
						<path
							fill-rule="evenodd"
							d="M5 11a5 5 0 1110 0 1 1 0 11-2 0 3 3 0 10-6 0c0 1.677-.345 3.276-.968 4.729a1 1 0 11-1.838-.789A9.964 9.964 0 005 11zm8.921 2.012a1 1 0 01.831 1.145 19.86 19.86 0 01-.545 2.436 1 1 0 11-1.92-.558c.207-.713.371-1.445.49-2.192a1 1 0 011.144-.83z"
							clip-rule="evenodd"
						/>
						<path
							fill-rule="evenodd"
							d="M10 10a1 1 0 011 1c0 2.236-.46 4.368-1.29 6.304a1 1 0 01-1.838-.789A13.952 13.952 0 009 11a1 1 0 011-1z"
							clip-rule="evenodd"
						/>
					</svg>
					<p class="px-2 hidden sm:flex">เข้าสู่ระบบ</p>
				</div>
			</a>
		{/if}

		{#if $session.jwt}
			<a sveltekit:prefetch on:click={signOut} href="/dashboard">
				<div class="flex text-red-400 items-center hover:text-gray-600 dark:hover:text-gray-400 cursor-pointer">
					<svg
						xmlns="http://www.w3.org/2000/svg"
						class="h-5 w-5 mx-3 sm:mx-2"
						viewBox="0 0 20 20"
						fill="currentColor"
					>
						<path
							d="M10 2a5 5 0 00-5 5v2a2 2 0 00-2 2v5a2 2 0 002 2h10a2 2 0 002-2v-5a2 2 0 00-2-2H7V7a3 3 0 015.905-.75 1 1 0 001.937-.5A5.002 5.002 0 0010 2z"
						/>
					</svg>
					<p class="px-2 hidden sm:flex">ออกจากระบบ</p>
				</div>
			</a>
		{/if}
	</div>
	<div class="flex justify-end px-2">
		<svg  on:click={() => ($darkTheme = !$darkTheme)}
			xmlns="http://www.w3.org/2000/svg"
			class="h-5 w-5 {$darkTheme ? 'bg-gray-900 text-white': 'hover:bg-gray-900 hover:text-white '} rounded cursor-pointer"
			viewBox="0 0 20 20"
			fill="currentColor"
		>
			<path d="M17.293 13.293A8 8 0 016.707 2.707a8.001 8.001 0 1010.586 10.586z" />
		</svg>
	</div>
</nav>
